Subject: git, network filesystems and is_path_owned_by_current_uid()

From: David Howells <[email-masked]>
Date: Mon, 20 Apr 2026 08:40:51 +0100

Hi,

Can git's is_path_owned_by_current_uid() be made to check to see if the
filesystem is a network filesystem (9p, afs, ceph, cifs, nfs, maybe orange?)
before deciding that you're not allowed to do a command because your UID
doesn't match?

One way to do this would be to check the filesystem type returned by statfs:

	statfs(".", {f_type=AFS_FS_MAGIC, ...

Alternatively, we could add a statx() attribute flag in the kernel to indicate
that the uid/gid is from a separate set of IDs (or fabricated entirely) and
cannot by directly compared against system IDs.

Thanks,
David